Draft FlipDimension/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(3 intermediate revisions by one other user not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Draft_Heal|Heal]]
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Layer|Layer]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Heal.svg
|IconL=Draft_Slope.svg
|IconR=Draft_Layer.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro|Name=Draft FlipDimension|Name/ro=Draft FlipDimension|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Utilities → Flip Dimension|SeeAlso=[[Draft Dimension|Dimension]]}}
{{GuiCommand/ro|Name=Draft FlipDimension|Name/ro=Draft FlipDimension|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]|MenuLocation=Draft → Utilities → Flip Dimension|SeeAlso=[[Draft Dimension|Dimension]]}}
</div>
</div>


Line 28: Line 29:
</div>
</div>


==Notes==
<div class="mw-translate-fuzzy">

Ce face acest instrument, pe plan intern, este de a inversa direcția "normală" a dimensiunii, care este direcția folosită pentru a desena textul cu orientarea corectă. Dimensiunile au, de asemenea, o proprietate '' 'Flip Text' '', care rotește textul cu 180 de grade în direcția normală. Prin combinarea acestor două caracteristici, a direcției normale și a Flip Text, puteți face textul să apară corect în toate situațiile posibile.
* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.
</div>

==Scripting==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.

Example:

{{Code|code=
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()
}}


[[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property which, when it is {{TRUE}}, rotates the text by 180 degrees around the normal direction. By combining these two features, flipping the normal direction and flipping the text, you are able to make the text appear correctly in all possible situations.


{{Docnav
{{Docnav
|[[Draft_Heal|Heal]]
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Layer|Layer]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Heal.svg
|IconL=Draft_Slope.svg
|IconR=Draft_Layer.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 45: Line 69:
{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 06:40, 28 August 2021

Draft FlipDimension

poziția meniului
Draft → Utilities → Flip Dimension
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Dimension

Description

Descriere

Când se afișează în modul 2D, textul Draft dimensions este afișat aliniat la linia de dimensiuni. Instrumentul Dimensiune încearcă întotdeauna să vă arate textul de dimensiune pe partea corectă a liniei de dimensiune, în funcție de locul în care îl vedeți. În unele cazuri, însă, direcția de vizionare ar putea să nu reflecte intenția spectatorului și orientarea textului de dimensiune ar putea fi inversată. Acest instrument inversează această orientare în obiectele selectate dimension.

Usage

Cum se utilizează

  1. Selectați unul sau mai multe obiecte dimension
  2. Apăsați butonul Flip Dimension

Notes

  • Draft Dimensions also have a DateFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()